import { OnDestroy } from '@angular/core';
import { BehaviorSubject, Observable, Subject } from 'rxjs';
import { Resource, ResourceGroup } from '../../interfaces';
import { ResourceOrGroup } from '../../interfaces/resource-or-group';
import { SchedulerStampWithSlots } from '../../interfaces/scheduler-stamp-with-slots';
import * as i0 from "@angular/core";
export declare class ResourceGroupPresenterComponent implements OnDestroy {
    constructor();
    level: number;
    resourceOrGroup$: BehaviorSubject<Resource | ResourceGroup | null>;
    timeSlots$: BehaviorSubject<SchedulerStampWithSlots[]>;
    isExpanded$: BehaviorSubject<boolean>;
    data$: Observable<ResourceOrGroup>;
    colSpan$: Observable<number>;
    destroyed$: Subject<unknown>;
    get resourceOrGroup(): Resource | ResourceGroup | null;
    set resourceGroup(value: Resource | ResourceGroup | null);
    get timeSlots(): SchedulerStampWithSlots[];
    set timeSlots(value: SchedulerStampWithSlots[]);
    get isExpanded(): boolean;
    set isExpanded(value: boolean);
    toggleExpanded(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResourceGroupPresenterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ResourceGroupPresenterComponent, "bs-resource-group-presenter", never, { "level": "level"; "resourceGroup": "resourceGroup"; "timeSlots": "timeSlots"; "isExpanded": "isExpanded"; }, {}, never, never, false, never>;
}
